FSym
Keywords: uk.ac.bbk.dcs.automed.qproc.FSym class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class FSym

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.FSym

    public class FSym

extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` | `Colon`
`static int` | `Comma`
`static int` | `ConstToken`
`static int` | `Dot`
`static int` | `EOF`
`static int` | `error`
`static int` | `IdentToken`
`static int` | `Lambda`
`static int` | `LDAB`
`static int` | `LRB`
`static int` | `RDAB`
`static int` | `RRB`

Constructor Summary
`FSym()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Dot

    public static final int Dot

See Also:
  Constant Field Values

### LRB

    public static final int LRB

See Also:
  Constant Field Values

### Colon

    public static final int Colon

See Also:
  Constant Field Values

### RRB

    public static final int RRB

See Also:
  Constant Field Values

### LDAB

    public static final int LDAB

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### IdentToken

    public static final int IdentToken

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### Comma

    public static final int Comma

See Also:
  Constant Field Values

### ConstToken

    public static final int ConstToken

See Also:
  Constant Field Values

### Lambda

    public static final int Lambda

See Also:
  Constant Field Values

### RDAB

    public static final int RDAB

See Also:
  Constant Field Values

Constructor Detail

### FSym

    public FSym()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD